WORKBENCH_URL = "workbench.omics.ai"
WORKFLOW_NAME = "Human Whole Genome Sequencing (HiFi Solves)"
WORKFLOW_VERSION = "v2.1.1"
WORKFLOW_SUB_VERSION = "v0.0.1"
DERIVED_WORKFLOW_VERSION = f"{WORKFLOW_VERSION}_{WORKFLOW_SUB_VERSION}"

# AWS account where containers are hosted
AWS_CONTAINER_REGISTRY_ACCOUNT = "635186400088"

# States from https://github.com/DNAstack/dnastack-client/blob/main/dnastack/client/workbench/ewes/models.py
WORKFLOW_PENDING_UPLOAD_STATE = "PENDING_UPLOAD"
WORKFLOW_UNSUBMITTED_STATE = "UNSUBMITTED"
WORKFLOW_RUNNING_STATE = "RUNNING"
WORKFLOW_SUCCEEDED_STATE = "SUCCEEDED"
WORKFLOW_FAILED_STATE = "FAILED"

WORKFLOW_STATE_SYMBOLS = {
    WORKFLOW_PENDING_UPLOAD_STATE: "⏳",
    WORKFLOW_UNSUBMITTED_STATE: "⚪",
    WORKFLOW_RUNNING_STATE: "🔵",
    WORKFLOW_SUCCEEDED_STATE: "🟢",
    WORKFLOW_FAILED_STATE: "🔴",
}

WORKFLOW_STATES = {
    "PREPROCESSING": WORKFLOW_RUNNING_STATE,
    "UNKNOWN": WORKFLOW_RUNNING_STATE,
    "QUEUED": WORKFLOW_RUNNING_STATE,
    "INITIALIZING": WORKFLOW_RUNNING_STATE,
    "RUNNING": WORKFLOW_RUNNING_STATE,
    "PAUSED": WORKFLOW_RUNNING_STATE,
    "CANCELING": WORKFLOW_FAILED_STATE,
    "COMPLETE": WORKFLOW_SUCCEEDED_STATE,
    "EXECUTOR_ERROR": WORKFLOW_FAILED_STATE,
    "SYSTEM_ERROR": WORKFLOW_FAILED_STATE,
    "CANCELED": WORKFLOW_FAILED_STATE,
    "COMPLETE_WITH_ERRORS": WORKFLOW_FAILED_STATE,
    "PREPROCESSING_ERROR": WORKFLOW_FAILED_STATE,
}
